Package: org.grails.web.converters.configuration

## [Java] Class ConvertersConfigurationInitializer

- org.grails.web.converters.configuration.ConvertersConfigurationInitializer

- All Implemented Interfaces and Traits:
    org.springframework.context.ApplicationContextAware, GrailsApplicationAware, org.springframework.beans.factory.InitializingBean

      public class ConvertersConfigurationInitializer
      extends java.lang.Object

  Authors:
    Siegfried Puchbauer
  Since:
    1.1

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `org.apache.commons.logging.Log` | `LOG` |
    `static java.lang.String` | `SETTING_CONVERTERS_CIRCULAR_REFERENCE_BEHAVIOUR` |
    `static java.lang.String` | `SETTING_CONVERTERS_ENCODING` |
    `static java.lang.String` | `SETTING_CONVERTERS_JSON_CACHE_OBJECTS` |
    `static java.lang.String` | `SETTING_CONVERTERS_JSON_CIRCULAR_REFERENCE_BEHAVIOUR` |
    `static java.lang.String` | `SETTING_CONVERTERS_JSON_DATE` |
    `static java.lang.String` | `SETTING_CONVERTERS_JSON_DEFAULT_DEEP` |
    `static java.lang.String` | `SETTING_CONVERTERS_JSON_PRETTY_PRINT` |
    `static java.lang.String` | `SETTING_CONVERTERS_PRETTY_PRINT` |
    `static java.lang.String` | `SETTING_CONVERTERS_XML_DEEP` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `afterPropertiesSet()`
    `` | `org.springframework.context.ApplicationContext` | `getApplicationContext()`
    `` | `void` | `initialize()`
    `` | `void` | `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`
    `` | `void` | `setGrailsApplication(GrailsApplication grailsApplication)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public final org.apache.commons.logging.Log LOG

    - #### public static final java.lang.String SETTING_CONVERTERS_CIRCULAR_REFERENCE_BEHAVIOUR

    - #### public static final java.lang.String SETTING_CONVERTERS_ENCODING

    - #### public static final java.lang.String SETTING_CONVERTERS_JSON_CACHE_OBJECTS

    - #### public static final java.lang.String SETTING_CONVERTERS_JSON_CIRCULAR_REFERENCE_BEHAVIOUR

    - #### public static final java.lang.String SETTING_CONVERTERS_JSON_DATE

    - #### public static final java.lang.String SETTING_CONVERTERS_JSON_DEFAULT_DEEP

    - #### public static final java.lang.String SETTING_CONVERTERS_JSON_PRETTY_PRINT

    - #### public static final java.lang.String SETTING_CONVERTERS_PRETTY_PRINT

    - #### public static final java.lang.String SETTING_CONVERTERS_XML_DEEP

  - ### Method Detail

    - #### public void afterPropertiesSet()

    - #### public org.springframework.context.ApplicationContext getApplicationContext()

    - #### public void initialize()

    - #### public void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)

    - #### @java.lang.Override public void setGrailsApplication(GrailsApplication grailsApplication)